Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 190877 - Autofs does not allow a file map to include a nis map of the same name
Summary: Autofs does not allow a file map to include a nis map of the same name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-05-05 20:48 UTC by Jeff Moyer
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2006-0459
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:44:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0459 normal SHIPPED_LIVE autofs bug fix update 2006-07-19 18:47:00 UTC

Description Jeff Moyer 2006-05-05 20:48:49 UTC
Description of problem:

It is common to have a master map which solely references a YP map, as follows:

auto.master:
+auto.master

The current included map support precludes the use of such maps, as it falsely
detects this as a recursive map inclusion.  (Well, it actually works for
auto.master, but not for any other map).

Version-Release number of selected component (if applicable):
autofs-4.1.3-182

How reproducible:
100%

Steps to Reproduce:
Setup a master map:

/etc/auto.master:
/misc   /etc/auto.misc

Setup auto.misc:

/etc/auto.misc:
+auto.misc

/etc/nsswitch.conf:
automount: files nis

/etc/sysconfig/autofs:
ONE_AUTO_MASTER=1
DAEMON_OPTIONS="--ghost"

# service autofs start

The automounter will fail to load the nis map.

If everything works properly, the automounter would create a /misc directory,
and you would see a list of directories from the yp map auto.misc.  (to obtain
the map contents of auto.misc, simply do a 'ypcat -k auto.misc').

Comment 6 Red Hat Bugzilla 2006-07-20 14:44:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0459.html



Note You need to log in before you can comment on or make changes to this bug.